Security scans

List security findings

GET/v1/organization/security/findings

Lists security scan findings on the organization's IP addresses, filtered by severity, plugin, IP address, or service.

Authorizations

  • Authorizationstringheaderrequired

    Organization API key (org_...), created in the cloud console at https://cloud.serverside.com and shown once, sent as Authorization: Bearer <key>. It authenticates as the organization.

Required permission: organization.networking.read

Query parameters

  • filterobject
  • pageinteger<int32>

    Limits:1 <= x <= 2147483

  • pageSizeinteger<int32>

    Limits:1 <= x <= 1000

  • sortColumnstring
  • ascendingboolean
  • severityenum<string>

    Allowed values:UNKNOWNINFOLOWMEDIUMHIGHCRITICAL

  • pluginstring
  • ipstring
  • serviceIdstring<uuid>

Response

200 · application/json

OK

  • successbooleanrequired

    Allowed values:true

  • dataobject[] | nullrequired
  • paginationobject